LliureX

error con paquestes de java al actualizar lliurex 12.06

 
Picture of Joaquin López Sánchez
error con paquestes de java al actualizar lliurex 12.06
by Joaquin López Sánchez - Monday, 10 September 2012, 8:19 AM
 

Hola, al hacer una actualización de lliurex  me da el siguiente error:

Seguramente será porque como orígenes de software también tengo ubuntu, pero hasta ahora no me había dado ningún problema.

*******************************************************

Configurando ca-certificates-java (20100406ubuntu1.1) ...
creating /etc/ssl/certs/java/cacerts...
  added certificate lliurex-certs/lliurex.net/lliurex_net.crt
  added certificate lliurex-certs/fnmt/ACRAIZAPE.crt
  added certificate lliurex-certs/fnmt/FNMTClase2CA.crt
  added certificate lliurex-certs/fnmt/ACRAIZFNMTRCM.crt
  added certificate lliurex-certs/gva/rootca.crt
  added certificate lliurex-certs/gva/accv-ca2.crt
  added certificate lliurex-certs/gva/accv-ca1.crt
  error adding lliurex-certs/ncfg-certs/apache.crt
failed (VM used: java-6-openjdk).
dpkg: error al procesar ca-certificates-java (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 1
Configurando tzdata-java (2012b-0ubuntu0.10.04) ...
dpkg: problemas de dependencias impiden la configuración de openjdk-6-jre-headless:
 openjdk-6-jre-headless depende de ca-certificates-java; sin embargo:
 El paquete `ca-certificates-java' no está configurado todavía.
dpkg: error al procesar openjdk-6-jre-headless (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de openjdk-6-jre-lib:
 openjdk-6-jre-lib depende de openjdk-6-jre-headless (>= 6b17); sin embargo:
 El paquete `openjdk-6-jre-headless' no está configurado todavía.
No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.
                                                                                                                           No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.
                                                                                                             dpkg: error al procesar openjdk-6-jre-lib (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de openjdk-6-jre:
 openjdk-6-jre depende de openjdk-6-jre-headless (>= 6b24-1.11.4-1ubuntu0.10.04.1); sin embargo:
 El paquete `openjdk-6-jre-headless' no está configurado todavía.
dpkg: error al procesar openjdk-6-jre (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de icedtea-netx:
 icedtea-netx depende de openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre; sin embargo:
 El paquete `openjdk-6-jre' no está configurado todavía.
  El paquete `openjdk-7-jre' no está instalado.
dpkg: error al procesar icedtea-netx (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de zero-lliurex-java:
 zero-lliurex-java depende de icedtea-netx; sin embargo:
 El paquete `icedtea-netx' no está configurNo se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
                                                                                                                                    No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
                                                                                    No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
                                    ado todavía.
dpkg: error al procesar zero-lliurex-java (--configure):
 problemas de dependencias - se deja sin configurar
*********************************************************

 

Un saludo,

 

Picture of Angel Berlanas Vicente
Re: error con paquestes de java al actualizar lliurex 12.06
by Angel Berlanas Vicente - Monday, 10 September 2012, 10:14 AM
 

Pots probar fent: 

 sudo lliurex-upgrade

 I em dius que et diu. 

Picture of Joaquin López Sánchez
Re: error con paquestes de java al actualizar lliurex 12.06
by Joaquin López Sánchez - Monday, 10 September 2012, 11:23 AM
 

Doncs pareix que s'ha sol·lucionat.

Moltes gràcies Angel!

Picture of Pedro Miguel
Re: error con paquestes de java al actualizar lliurex 12.06
by Pedro Miguel - Monday, 10 September 2012, 9:08 PM
 
Huí estic mort, tot el día de curset de PDC. Però em pregunte si sudo lliuex-update serveix per actualizar de la 11.09 a la 12.06 directament?
Picture of Pedro Miguel
Re: error con paquestes de java al actualizar lliurex 12.06
by Pedro Miguel - Monday, 10 September 2012, 9:08 PM
 
Huí estic mort, tot el día de curset de PDC. Però em pregunte si sudo lliuex-update serveix per actualizar de la 11.09 a la 12.06 directament?
Picture of Pedro Miguel
Re: error con paquestes de java al actualizar lliurex 12.06
by Pedro Miguel - Monday, 10 September 2012, 9:13 PM
 
Perdó, fet pols i amb el telf. Em refería a sudo lliurex-upgrade.
Picture of Pedro Miguel
Re: error con paquestes de java al actualizar lliurex 12.06
by Pedro Miguel - Monday, 10 September 2012, 9:13 PM
 
Perdó, fet pols i amb el telf. Em refería a sudo lliurex-upgrade.
Alfons
Re: error con paquestes de java al actualizar lliurex 12.06
by Alfons Rovira - Wednesday, 12 September 2012, 12:34 AM
 

Hola Pedro Miguel.

Per pujar la versió de Lliurex tens unes indicacions als manuals, a la documentació de Lliurex.

En la pràctica, vaig utilitzar lliurex-up per a passar de la versió 10.09 a la 11.09, però no em va anar bé en passar de la 11.09 a la 12.06. No sé potser no vaig actulitzar contra el repositori d'un ordinador que feia temps que no tocava.

El cas és que vaig fer això que explique ací i va funcionar.

No obstat aixó lliurex-up és una solució genial per pujar la distro molt fàcilment.

Es pot trobar a Administració > Actualitzar Lliurex

Això o alguna cosa semblant, que ara sóc a Debian i no me'n recorde.

Ànim Pedro, anem avant.